using FCOMMON;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FPJ0000.OtConfirm
{
    public partial class fOutCoomplete : fBase
    {
        public fOutCoomplete(DSKuntae.EETGW_HolydayRequestRow dr)
        {
            InitializeComponent();
            var sd = DateTime.Now;
            var ed = DateTime.Now;
            this.dtSD.Value = DateTime.Parse(sd.ToString("yyyy-MM-dd") + " " + dr.stime + ":00");
            if (dr.etime.isEmpty() || dr.etime == "00:00")
                this.dtED.Value = DateTime.Now;
            else
                this.dtED.Value = DateTime.Parse(ed.ToString("yyyy-MM-dd") + " " + dr.etime + ":00");
        }
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            EnsureVisibleAndUsableSize();
        }
        private void button1_Click(object sender, EventArgs e)
        {
            if (FCOMMON.Util.MsgQ("완료 할까요? 관리자 완료 메일이 발송 됩니다") != DialogResult.Yes) return;
            DialogResult = DialogResult.OK;
        }
    }
}
